using System;
using System.Threading.Tasks;

internal sealed class Delegate432 : MulticastDelegate
{
	public extern Task Invoke(TimeSpan timeSpan_0);

	public static Task smethod_0(TimeSpan timeSpan_0, Delegate432 delegate432_1)
	{
		return delegate432_1(timeSpan_0);
	}

	public extern Delegate432(object object_0, IntPtr intptr_0);

	static Delegate432()
	{
		Class10.smethod_13(typeof(Delegate432).TypeHandle);
	}

	internal static Delegate432 delegate432_0;
}
